path: /build/build/kcolorpicker-media-libs-0.1.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge media-libs/kcolorpicker -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps media-libs/kcolorpicker
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kcolorpicker && luet-portage --dir /pkgdir/kcolorpicker
    media-libs/kcolorpicker && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bd893464c9a7c21716514d64900d3b9e5c8ca4f2182ed231cc111b0ff16a49a6
  package:
    name: kcolorpicker
    version: 0.1.6
    category: media-libs
    use_flags:
    - -test
    - prefix
    requires:
    - name: kaccounts-integration
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Qt based color picker with popup menu
    uri:
    - https://github.com/ksnip/kColorPicker
    license: LGPL-3+
    buildtimestamp: 2023-11-19 14:35:50.356217198 +0000 UTC m=+222.227556026
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
        ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.57.0:5
      DEPEND: '>=dev-qt/qtcore-5.11.1:5 >=dev-qt/qtgui-5.11.1:5 >=dev-qt/qtwidgets-5.11.1:5[png]
        test? ( >=dev-qt/qttest-5.11.1:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
        >=dev-qt/qtcore-5.11.1:5 dev-util/desktop-file-utils'
      IUSE: test test debug
      RDEPEND: '>=dev-qt/qtcore-5.11.1:5 >=dev-qt/qtgui-5.11.1:5 >=dev-qt/qtwidgets-5.11.1:5[png]
        >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.57.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.11.1:5'
      emerge.packages: media-libs/kcolorpicker
      kit: kde-kit
      original.package.name: media-libs/kcolorpicker
      original.package.slot: "0"
      original.package.version: 0.1.6
    treedir: /build/packages
  package_dir: /pkgdir/kcolorpicker
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2dc4ed23507783dbb0ffd8b98c02bf56ec96695abadde51474ce2afe250f937c
compressiontype: zstd
files:
- usr/include/kColorPicker/KColorPicker.h
- usr/include/kColorPicker/KColorPickerExport.h
- usr/lib64/cmake/kColorPicker/kColorPicker-targets-gentoo.cmake
- usr/lib64/cmake/kColorPicker/kColorPicker-targets.cmake
- usr/lib64/cmake/kColorPicker/kColorPickerConfig-version.cmake
- usr/lib64/cmake/kColorPicker/kColorPickerConfig.cmake
- usr/lib64/libkColorPicker.so
- usr/lib64/libkColorPicker.so.0
- usr/lib64/libkColorPicker.so.0.1.6
- usr/share/doc/kcolorpicker-0.1.6/README.md.bz2
- var/db/pkg/media-libs/kcolorpicker-0.1.6/BDEPEND
- var/db/pkg/media-libs/kcolorpicker-0.1.6/BUILD_TIME
- var/db/pkg/media-libs/kcolorpicker-0.1.6/CATEGORY
- var/db/pkg/media-libs/kcolorpicker-0.1.6/CBUILD
- var/db/pkg/media-libs/kcolorpicker-0.1.6/CFLAGS
- var/db/pkg/media-libs/kcolorpicker-0.1.6/CHOST
- var/db/pkg/media-libs/kcolorpicker-0.1.6/CONTENTS
- var/db/pkg/media-libs/kcolorpicker-0.1.6/COUNTER
- var/db/pkg/media-libs/kcolorpicker-0.1.6/CXXFLAGS
- var/db/pkg/media-libs/kcolorpicker-0.1.6/DEFINED_PHASES
- var/db/pkg/media-libs/kcolorpicker-0.1.6/DEPEND
- var/db/pkg/media-libs/kcolorpicker-0.1.6/DESCRIPTION
- var/db/pkg/media-libs/kcolorpicker-0.1.6/EAPI
- var/db/pkg/media-libs/kcolorpicker-0.1.6/FEATURES
- var/db/pkg/media-libs/kcolorpicker-0.1.6/HOMEPAGE
- var/db/pkg/media-libs/kcolorpicker-0.1.6/INHERITED
- var/db/pkg/media-libs/kcolorpicker-0.1.6/IUSE
- var/db/pkg/media-libs/kcolorpicker-0.1.6/IUSE_EFFECTIVE
- var/db/pkg/media-libs/kcolorpicker-0.1.6/KEYWORDS
- var/db/pkg/media-libs/kcolorpicker-0.1.6/LDFLAGS
- var/db/pkg/media-libs/kcolorpicker-0.1.6/LICENSE
- var/db/pkg/media-libs/kcolorpicker-0.1.6/NEEDED
- var/db/pkg/media-libs/kcolorpicker-0.1.6/PF
- var/db/pkg/media-libs/kcolorpicker-0.1.6/PROVIDES
- var/db/pkg/media-libs/kcolorpicker-0.1.6/RDEPEND
- var/db/pkg/media-libs/kcolorpicker-0.1.6/REQUIRES
- var/db/pkg/media-libs/kcolorpicker-0.1.6/SIZE
- var/db/pkg/media-libs/kcolorpicker-0.1.6/SLOT
- var/db/pkg/media-libs/kcolorpicker-0.1.6/USE
- var/db/pkg/media-libs/kcolorpicker-0.1.6/environment.bz2
- var/db/pkg/media-libs/kcolorpicker-0.1.6/kcolorpicker-0.1.6.ebuild
- var/db/pkg/media-libs/kcolorpicker-0.1.6/repository
package_cacheimage: ""
runtime:
  name: kcolorpicker
  version: 0.1.6
  category: media-libs
  use_flags:
  - -test
  - prefix
  requires:
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  - name: breeze-icons
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Qt based color picker with popup menu
  uri:
  - https://github.com/ksnip/kColorPicker
  license: LGPL-3+
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.57.0:5
    DEPEND: '>=dev-qt/qtcore-5.11.1:5 >=dev-qt/qtgui-5.11.1:5 >=dev-qt/qtwidgets-5.11.1:5[png]
      test? ( >=dev-qt/qttest-5.11.1:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      >=dev-qt/qtcore-5.11.1:5 dev-util/desktop-file-utils'
    IUSE: test test debug
    RDEPEND: '>=dev-qt/qtcore-5.11.1:5 >=dev-qt/qtgui-5.11.1:5 >=dev-qt/qtwidgets-5.11.1:5[png]
      >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.57.0:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.11.1:5'
    emerge.packages: media-libs/kcolorpicker
    kit: kde-kit
    original.package.name: media-libs/kcolorpicker
    original.package.slot: "0"
    original.package.version: 0.1.6
